Subject: Re: [PATCH v2 1/4] Document the semantics of hideRefs with namespaces

From: Junio C Hamano <[email-masked]>
Date: Tue, 03 Nov 2015 13:09:29 -0800

Lukas Fleischer <[email-masked]> writes:

> ++
> +If a namespace is set, references are stripped before matching. For example, if

The first sentence is probably not understood by many readers, as
you do not define what is "to strip references".  The namespace
prefix is stripped from the reference before a reference is matched
against the hideRefs setting.

> +the prefix `refs/heads/master` is specified in `transfer.hideRefs` and the
> +current namespace is `foo`, then `refs/namespaces/foo/refs/heads/master` is
> +omitted from the advertisements but `refs/heads/master` and
> +`refs/namespaces/bar/refs/heads/master` are still advertised as so-called
> +"have" lines.